Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalToolTipUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ToolTipUI
                  |
                  +--javax.swing.plaf.basic.BasicToolTipUI
                        |
                        +--javax.swing.plaf.metal.MetalToolTipUI

public class MetalToolTipUI
extends BasicToolTipUI

A Metal L&F extension of BasicToolTipUI.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Field Summary
`static int` | `padSpaceBetweenStrings`

Constructor Summary
`MetalToolTipUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`java.lang.String` | `getAcceleratorString()`
`java.awt.Dimension` | `getPreferredSize(JComponent c)`
`void` | `installUI(JComponent c)`
`void` | `paint(java.awt.Graphics g, JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicToolTipUI
`getMaximumSize, getMinimumSize, installDefaults, installListeners, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### padSpaceBetweenStrings

    public static final int padSpaceBetweenStrings

Constructor Detail

### MetalToolTipUI

    public MetalToolTipUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class BasicToolTipUI

### paint

    public void paint(java.awt.Graphics g,
                      JComponent c)

  Overrides:
    paint in class BasicToolTipUI

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent c)

  Overrides:
    getPreferredSize in class BasicToolTipUI

### getAcceleratorString

    public java.lang.String getAcceleratorString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.